# swagger-client
The Thena Platform API description

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
activity_id = 'activity_id_example' # str | 
attachment_id = 'attachment_id_example' # str | 

try:
    # Removes an attachment from an account activity
    api_instance.v1_accounts_activities_activity_id_attachments_attachment_id_delete(activity_id, attachment_id)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_activities_activity_id_attachments_attachment_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
activity_id = 'activity_id_example' # str | 

try:
    # Deletes an account activity
    api_instance.v1_accounts_activities_activity_id_delete(activity_id)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_activities_activity_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.UpdateAccountActivityDto() # UpdateAccountActivityDto | 
activity_id = 'activity_id_example' # str | 

try:
    # Updates an account activity
    api_response = api_instance.v1_accounts_activities_activity_id_put(body, activity_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_activities_activity_id_put: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
account_id = 'account_id_example' # str | The identifier of the account to find activities for (optional)
type = 'type_example' # str | The identifier / value of the type of the activity (optional)
status = 'status_example' # str | The identifier / value of the status of the activity (optional)
page = 1.2 # float | The page number (optional)
limit = 1.2 # float | The limit number of activities to fetch (optional)

try:
    # Fetches all account activities
    api_response = api_instance.v1_accounts_activities_get(account_id=account_id, type=type, status=status, page=page, limit=limit)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_activities_get: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateAccountActivityDto() # CreateAccountActivityDto | 

try:
    # Creates an account activity
    api_response = api_instance.v1_accounts_activities_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_activities_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
attribute = 'attribute_example' # str | Attribute type

try:
    # Gets all account attribute values
    api_response = api_instance.v1_accounts_attributes_get(attribute)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_attributes_get: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 
force_delete = true # bool | 

try:
    # Deletes an account attribute value
    api_instance.v1_accounts_attributes_id_delete(id, force_delete)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_attributes_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.UpdateAccountAttributeValueDto() # UpdateAccountAttributeValueDto | 
id = 'id_example' # str | 

try:
    # Updates an account attribute value
    api_response = api_instance.v1_accounts_attributes_id_put(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_attributes_id_put: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateAccountAttributeValueDto() # CreateAccountAttributeValueDto | 

try:
    # Creates an account attribute value
    api_response = api_instance.v1_accounts_attributes_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_attributes_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.BulkCreateCustomerContactsDto() # BulkCreateCustomerContactsDto | 

try:
    # Bulk create customer contacts
    api_response = api_instance.v1_accounts_contacts_bulk_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_contacts_bulk_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
contact_id = 'contact_id_example' # str | 

try:
    # Delete a customer contact
    api_instance.v1_accounts_contacts_contact_id_delete(contact_id)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_contacts_contact_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.UpdateCustomerContactDto() # UpdateCustomerContactDto | 
contact_id = 'contact_id_example' # str | 

try:
    # Update a customer contact
    api_response = api_instance.v1_accounts_contacts_contact_id_put(body, contact_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_contacts_contact_id_put: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
account_id = 'account_id_example' # str | Account ID of the customer contact (optional)
contact_type = 'contact_type_example' # str | Contact type of the customer contact to find. (Fetches all contacts satisfying other conditions if not provided) (optional)
page = 1.2 # float | The page number (optional)
limit = 1.2 # float | The limit number of contacts to fetch (optional)

try:
    # Get all customer contacts
    api_response = api_instance.v1_accounts_contacts_get(account_id=account_id, contact_type=contact_type, page=page, limit=limit)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_contacts_get: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.IngestCustomerContactDTO() # IngestCustomerContactDTO | 

try:
    # Ingest users
    api_instance.v1_accounts_contacts_ingest_post(body)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_contacts_ingest_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateCustomerContactDto() # CreateCustomerContactDto | 

try:
    # Create a customer contact
    api_response = api_instance.v1_accounts_contacts_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_contacts_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
source = 'source_example' # str | The source of the accounts to find (optional)
status = 'status_example' # str | The identifier / value of the status attribute (optional)
classification = 'classification_example' # str | The identifier / value of the classification attribute (optional)
health = 'health_example' # str | The identifier / value of the health attribute (optional)
industry = 'industry_example' # str | The identifier / value of the industry attribute (optional)
account_owner_id = 'account_owner_id_example' # str | The identifier of the account owner (optional)
page = 1.2 # float | The page number (optional)
limit = 1.2 # float | The limit number of accounts to fetch (optional)

try:
    # Get all accounts
    api_response = api_instance.v1_accounts_get(source=source, status=status, classification=classification, health=health, industry=industry, account_owner_id=account_owner_id, page=page, limit=limit)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_get: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 

try:
    # Delete an account
    api_instance.v1_accounts_id_delete(id)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 

try:
    # Get account details
    api_response = api_instance.v1_accounts_id_get(id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_id_get: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.UpdateAccountDto() # UpdateAccountDto | 
id = 'id_example' # str | 

try:
    # Update an account
    api_response = api_instance.v1_accounts_id_put(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_id_put: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
account_id = 'account_id_example' # str | The identifier of the account to find notes for (optional)
type = 'type_example' # str | The identifier / value of the type attribute of the note (optional)
page = 1.2 # float | The page number (optional)
limit = 1.2 # float | The limit number of notes to fetch (optional)

try:
    # Fetches all account notes by account ID or by note ID
    api_response = api_instance.v1_accounts_notes_get(account_id=account_id, type=type, page=page, limit=limit)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_notes_get: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
note_id = 'note_id_example' # str | 
attachment_id = 'attachment_id_example' # str | 

try:
    # Removes an attachment from an account note
    api_instance.v1_accounts_notes_note_id_attachments_attachment_id_delete(note_id, attachment_id)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_notes_note_id_attachments_attachment_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
note_id = 'note_id_example' # str | 

try:
    # Deletes an account note
    api_instance.v1_accounts_notes_note_id_delete(note_id)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_notes_note_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.UpdateAccountNoteDto() # UpdateAccountNoteDto | 
note_id = 'note_id_example' # str | 

try:
    # Updates an account note
    api_response = api_instance.v1_accounts_notes_note_id_put(body, note_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_notes_note_id_put: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateAccountNoteDto() # CreateAccountNoteDto | 

try:
    # Creates an account note
    api_response = api_instance.v1_accounts_notes_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_notes_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateAccountDto() # CreateAccountDto | 

try:
    # Create an account
    api_response = api_instance.v1_accounts_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
account_id = 'account_id_example' # str | Account ID (optional)
relationship_type_id = 'relationship_type_id_example' # str | The identifier of the relationship type attribute (optional)
page = 1.2 # float | The page number (optional)
limit = 1.2 # float | The limit number of relationships to fetch (optional)

try:
    # Get all account relationships
    api_response = api_instance.v1_accounts_relationships_get(account_id=account_id, relationship_type_id=relationship_type_id, page=page, limit=limit)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_relationships_get: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 

try:
    # Delete an account relationship
    api_instance.v1_accounts_relationships_id_delete(id)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_relationships_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.UpdateAccountRelationshipDto() # UpdateAccountRelationshipDto | 
id = 'id_example' # str | 

try:
    # Update an account relationship
    api_response = api_instance.v1_accounts_relationships_id_put(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_relationships_id_put: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateAccountRelationshipDto() # CreateAccountRelationshipDto | 

try:
    # Create an account relationship
    api_response = api_instance.v1_accounts_relationships_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_relationships_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))

try:
    # Get all account relationship types
    api_response = api_instance.v1_accounts_relationships_types_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_relationships_types_get: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 

try:
    # Delete an account relationship type
    api_instance.v1_accounts_relationships_types_id_delete(id)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_relationships_types_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.UpdateAccountRelationshipTypeDto() # UpdateAccountRelationshipTypeDto | 
id = 'id_example' # str | 

try:
    # Update an account relationship type
    api_response = api_instance.v1_accounts_relationships_types_id_put(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_relationships_types_id_put: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateAccountRelationshipTypeDto() # CreateAccountRelationshipTypeDto | 

try:
    # Create an account relationship type
    api_response = api_instance.v1_accounts_relationships_types_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_relationships_types_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
account_id = 'account_id_example' # str | The identifier of the account to find tasks for (optional)
activity_id = 'activity_id_example' # str | The identifier of the activity to find tasks for (optional)
assignee_id = 'assignee_id_example' # str | The identifier of the assignee to find tasks for (optional)
type = 'type_example' # str | The identifier / value of the type attribute of the task (optional)
status = 'status_example' # str | The identifier / value of the status attribute of the task (optional)
priority = 'priority_example' # str | The identifier / value of the priority attribute of the task (optional)
page = 1.2 # float | The page number (optional)
limit = 1.2 # float | The limit number of tasks to fetch (optional)

try:
    # Fetches all account tasks by account ID or by task ID
    api_response = api_instance.v1_accounts_tasks_get(account_id=account_id, activity_id=activity_id, assignee_id=assignee_id, type=type, status=status, priority=priority, page=page, limit=limit)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_tasks_get: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateAccountTaskDto() # CreateAccountTaskDto | 

try:
    # Creates an account task
    api_response = api_instance.v1_accounts_tasks_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_tasks_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
task_id = 'task_id_example' # str | 
attachment_id = 'attachment_id_example' # str | 

try:
    # Removes an attachment from an account task
    api_instance.v1_accounts_tasks_task_id_attachments_attachment_id_delete(task_id, attachment_id)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_tasks_task_id_attachments_attachment_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
task_id = 'task_id_example' # str | 

try:
    # Deletes an account task
    api_instance.v1_accounts_tasks_task_id_delete(task_id)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_tasks_task_id_delete: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = swagger_client.Configuration()
configuration.api_key['ApiKey'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKey'] = 'Bearer'
# Configure API key authorization: OrgId
configuration = swagger_client.Configuration()
configuration.api_key['OrgId'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['OrgId'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.AccountsApi(swagger_client.ApiClient(configuration))
body = swagger_client.UpdateAccountTaskDto() # UpdateAccountTaskDto | 
task_id = 'task_id_example' # str | 

try:
    # Updates an account task
    api_response = api_instance.v1_accounts_tasks_task_id_put(body, task_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountsApi->v1_accounts_tasks_task_id_put: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to */*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountsApi* | [**v1_accounts_activities_activity_id_attachments_attachment_id_delete**](docs/AccountsApi.md#v1_accounts_activities_activity_id_attachments_attachment_id_delete) | **DELETE** /v1/accounts/activities/{activityId}/attachments/{attachmentId} | Removes an attachment from an account activity
*AccountsApi* | [**v1_accounts_activities_activity_id_delete**](docs/AccountsApi.md#v1_accounts_activities_activity_id_delete) | **DELETE** /v1/accounts/activities/{activityId} | Deletes an account activity
*AccountsApi* | [**v1_accounts_activities_activity_id_put**](docs/AccountsApi.md#v1_accounts_activities_activity_id_put) | **PUT** /v1/accounts/activities/{activityId} | Updates an account activity
*AccountsApi* | [**v1_accounts_activities_get**](docs/AccountsApi.md#v1_accounts_activities_get) | **GET** /v1/accounts/activities | Fetches all account activities
*AccountsApi* | [**v1_accounts_activities_post**](docs/AccountsApi.md#v1_accounts_activities_post) | **POST** /v1/accounts/activities | Creates an account activity
*AccountsApi* | [**v1_accounts_attributes_get**](docs/AccountsApi.md#v1_accounts_attributes_get) | **GET** /v1/accounts/attributes | Gets all account attribute values
*AccountsApi* | [**v1_accounts_attributes_id_delete**](docs/AccountsApi.md#v1_accounts_attributes_id_delete) | **DELETE** /v1/accounts/attributes/{id} | Deletes an account attribute value
*AccountsApi* | [**v1_accounts_attributes_id_put**](docs/AccountsApi.md#v1_accounts_attributes_id_put) | **PUT** /v1/accounts/attributes/{id} | Updates an account attribute value
*AccountsApi* | [**v1_accounts_attributes_post**](docs/AccountsApi.md#v1_accounts_attributes_post) | **POST** /v1/accounts/attributes | Creates an account attribute value
*AccountsApi* | [**v1_accounts_contacts_bulk_post**](docs/AccountsApi.md#v1_accounts_contacts_bulk_post) | **POST** /v1/accounts/contacts/bulk | Bulk create customer contacts
*AccountsApi* | [**v1_accounts_contacts_contact_id_delete**](docs/AccountsApi.md#v1_accounts_contacts_contact_id_delete) | **DELETE** /v1/accounts/contacts/{contactId} | Delete a customer contact
*AccountsApi* | [**v1_accounts_contacts_contact_id_put**](docs/AccountsApi.md#v1_accounts_contacts_contact_id_put) | **PUT** /v1/accounts/contacts/{contactId} | Update a customer contact
*AccountsApi* | [**v1_accounts_contacts_get**](docs/AccountsApi.md#v1_accounts_contacts_get) | **GET** /v1/accounts/contacts | Get all customer contacts
*AccountsApi* | [**v1_accounts_contacts_ingest_post**](docs/AccountsApi.md#v1_accounts_contacts_ingest_post) | **POST** /v1/accounts/contacts/ingest | Ingest users
*AccountsApi* | [**v1_accounts_contacts_post**](docs/AccountsApi.md#v1_accounts_contacts_post) | **POST** /v1/accounts/contacts | Create a customer contact
*AccountsApi* | [**v1_accounts_get**](docs/AccountsApi.md#v1_accounts_get) | **GET** /v1/accounts | Get all accounts
*AccountsApi* | [**v1_accounts_id_delete**](docs/AccountsApi.md#v1_accounts_id_delete) | **DELETE** /v1/accounts/{id} | Delete an account
*AccountsApi* | [**v1_accounts_id_get**](docs/AccountsApi.md#v1_accounts_id_get) | **GET** /v1/accounts/{id} | Get account details
*AccountsApi* | [**v1_accounts_id_put**](docs/AccountsApi.md#v1_accounts_id_put) | **PUT** /v1/accounts/{id} | Update an account
*AccountsApi* | [**v1_accounts_notes_get**](docs/AccountsApi.md#v1_accounts_notes_get) | **GET** /v1/accounts/notes | Fetches all account notes by account ID or by note ID
*AccountsApi* | [**v1_accounts_notes_note_id_attachments_attachment_id_delete**](docs/AccountsApi.md#v1_accounts_notes_note_id_attachments_attachment_id_delete) | **DELETE** /v1/accounts/notes/{noteId}/attachments/{attachmentId} | Removes an attachment from an account note
*AccountsApi* | [**v1_accounts_notes_note_id_delete**](docs/AccountsApi.md#v1_accounts_notes_note_id_delete) | **DELETE** /v1/accounts/notes/{noteId} | Deletes an account note
*AccountsApi* | [**v1_accounts_notes_note_id_put**](docs/AccountsApi.md#v1_accounts_notes_note_id_put) | **PUT** /v1/accounts/notes/{noteId} | Updates an account note
*AccountsApi* | [**v1_accounts_notes_post**](docs/AccountsApi.md#v1_accounts_notes_post) | **POST** /v1/accounts/notes | Creates an account note
*AccountsApi* | [**v1_accounts_post**](docs/AccountsApi.md#v1_accounts_post) | **POST** /v1/accounts | Create an account
*AccountsApi* | [**v1_accounts_relationships_get**](docs/AccountsApi.md#v1_accounts_relationships_get) | **GET** /v1/accounts/relationships | Get all account relationships
*AccountsApi* | [**v1_accounts_relationships_id_delete**](docs/AccountsApi.md#v1_accounts_relationships_id_delete) | **DELETE** /v1/accounts/relationships/{id} | Delete an account relationship
*AccountsApi* | [**v1_accounts_relationships_id_put**](docs/AccountsApi.md#v1_accounts_relationships_id_put) | **PUT** /v1/accounts/relationships/{id} | Update an account relationship
*AccountsApi* | [**v1_accounts_relationships_post**](docs/AccountsApi.md#v1_accounts_relationships_post) | **POST** /v1/accounts/relationships | Create an account relationship
*AccountsApi* | [**v1_accounts_relationships_types_get**](docs/AccountsApi.md#v1_accounts_relationships_types_get) | **GET** /v1/accounts/relationships/types | Get all account relationship types
*AccountsApi* | [**v1_accounts_relationships_types_id_delete**](docs/AccountsApi.md#v1_accounts_relationships_types_id_delete) | **DELETE** /v1/accounts/relationships/types/{id} | Delete an account relationship type
*AccountsApi* | [**v1_accounts_relationships_types_id_put**](docs/AccountsApi.md#v1_accounts_relationships_types_id_put) | **PUT** /v1/accounts/relationships/types/{id} | Update an account relationship type
*AccountsApi* | [**v1_accounts_relationships_types_post**](docs/AccountsApi.md#v1_accounts_relationships_types_post) | **POST** /v1/accounts/relationships/types | Create an account relationship type
*AccountsApi* | [**v1_accounts_tasks_get**](docs/AccountsApi.md#v1_accounts_tasks_get) | **GET** /v1/accounts/tasks | Fetches all account tasks by account ID or by task ID
*AccountsApi* | [**v1_accounts_tasks_post**](docs/AccountsApi.md#v1_accounts_tasks_post) | **POST** /v1/accounts/tasks | Creates an account task
*AccountsApi* | [**v1_accounts_tasks_task_id_attachments_attachment_id_delete**](docs/AccountsApi.md#v1_accounts_tasks_task_id_attachments_attachment_id_delete) | **DELETE** /v1/accounts/tasks/{taskId}/attachments/{attachmentId} | Removes an attachment from an account task
*AccountsApi* | [**v1_accounts_tasks_task_id_delete**](docs/AccountsApi.md#v1_accounts_tasks_task_id_delete) | **DELETE** /v1/accounts/tasks/{taskId} | Deletes an account task
*AccountsApi* | [**v1_accounts_tasks_task_id_put**](docs/AccountsApi.md#v1_accounts_tasks_task_id_put) | **PUT** /v1/accounts/tasks/{taskId} | Updates an account task
*CommentsApi* | [**v1_comments_comment_id_delete**](docs/CommentsApi.md#v1_comments_comment_id_delete) | **DELETE** /v1/comments/{commentId} | Delete a comment
*CommentsApi* | [**v1_comments_comment_id_get**](docs/CommentsApi.md#v1_comments_comment_id_get) | **GET** /v1/comments/{commentId} | Get a comment
*CommentsApi* | [**v1_comments_comment_id_patch**](docs/CommentsApi.md#v1_comments_comment_id_patch) | **PATCH** /v1/comments/{commentId} | Update a comment
*CommentsApi* | [**v1_comments_comment_id_threads_get**](docs/CommentsApi.md#v1_comments_comment_id_threads_get) | **GET** /v1/comments/{commentId}/threads | Get comment threads
*CommentsApi* | [**v1_comments_get**](docs/CommentsApi.md#v1_comments_get) | **GET** /v1/comments | Get comments on an entity
*CommentsApi* | [**v1_comments_post**](docs/CommentsApi.md#v1_comments_post) | **POST** /v1/comments | Comment on an entity
*CommentsApi* | [**v1_comments_user_type_get**](docs/CommentsApi.md#v1_comments_user_type_get) | **GET** /v1/comments/user-type | Get comments for an entity by user type
*CustomFieldsApi* | [**v1_custom_field_delete_post**](docs/CustomFieldsApi.md#v1_custom_field_delete_post) | **POST** /v1/custom-field/delete | Delete custom fields
*CustomFieldsApi* | [**v1_custom_field_fetch_by_ids_get**](docs/CustomFieldsApi.md#v1_custom_field_fetch_by_ids_get) | **GET** /v1/custom-field/fetchByIds | Get custom fields by IDs
*CustomFieldsApi* | [**v1_custom_field_get**](docs/CustomFieldsApi.md#v1_custom_field_get) | **GET** /v1/custom-field | Get all custom fields
*CustomFieldsApi* | [**v1_custom_field_patch**](docs/CustomFieldsApi.md#v1_custom_field_patch) | **PATCH** /v1/custom-field | Update custom fields
*CustomFieldsApi* | [**v1_custom_field_post**](docs/CustomFieldsApi.md#v1_custom_field_post) | **POST** /v1/custom-field | Create a custom field
*CustomFieldsApi* | [**v1_custom_field_search_get**](docs/CustomFieldsApi.md#v1_custom_field_search_get) | **GET** /v1/custom-field/search | Search custom field using name
*CustomFieldsApi* | [**v1_custom_field_types_get**](docs/CustomFieldsApi.md#v1_custom_field_types_get) | **GET** /v1/custom-field/types | Get all custom field types
*DocumentationApi* | [**swagger_controller_get_swagger_json**](docs/DocumentationApi.md#swagger_controller_get_swagger_json) | **GET** /swagger-json | 
*DocumentationApi* | [**swagger_controller_get_swagger_yaml**](docs/DocumentationApi.md#swagger_controller_get_swagger_yaml) | **GET** /swagger-yaml | 
*DraftTicketsApi* | [**v1_tickets_draft_get**](docs/DraftTicketsApi.md#v1_tickets_draft_get) | **GET** /v1/tickets/draft | Get all draft tickets
*DraftTicketsApi* | [**v1_tickets_draft_post**](docs/DraftTicketsApi.md#v1_tickets_draft_post) | **POST** /v1/tickets/draft | Create a new ticket draft
*DraftTicketsApi* | [**v1_tickets_draft_uid_delete**](docs/DraftTicketsApi.md#v1_tickets_draft_uid_delete) | **DELETE** /v1/tickets/draft/{uid} | Delete draft ticket
*DraftTicketsApi* | [**v1_tickets_draft_uid_get**](docs/DraftTicketsApi.md#v1_tickets_draft_uid_get) | **GET** /v1/tickets/draft/{uid} | Get draft ticket by UID
*DraftTicketsApi* | [**v1_tickets_draft_uid_put**](docs/DraftTicketsApi.md#v1_tickets_draft_uid_put) | **PUT** /v1/tickets/draft/{uid} | Update draft ticket
*DraftTicketsApi* | [**v1_tickets_draft_uid_submit_post**](docs/DraftTicketsApi.md#v1_tickets_draft_uid_submit_post) | **POST** /v1/tickets/draft/{uid}/submit | Publish draft ticket
*FormsApi* | [**v1_forms_delete_post**](docs/FormsApi.md#v1_forms_delete_post) | **POST** /v1/forms/delete | Delete forms
*FormsApi* | [**v1_forms_fetch_by_ids_get**](docs/FormsApi.md#v1_forms_fetch_by_ids_get) | **GET** /v1/forms/fetchByIds | Get forms by IDs
*FormsApi* | [**v1_forms_get**](docs/FormsApi.md#v1_forms_get) | **GET** /v1/forms | Get all forms
*FormsApi* | [**v1_forms_patch**](docs/FormsApi.md#v1_forms_patch) | **PATCH** /v1/forms | Update form
*FormsApi* | [**v1_forms_post**](docs/FormsApi.md#v1_forms_post) | **POST** /v1/forms | Create a form
*FormsApi* | [**v1_forms_search_get**](docs/FormsApi.md#v1_forms_search_get) | **GET** /v1/forms/search | Search forms using name
*OrganizationsApi* | [**create_organization**](docs/OrganizationsApi.md#create_organization) | **POST** /v1/organizations | Create an organization
*OrganizationsApi* | [**v1_organizations_get**](docs/OrganizationsApi.md#v1_organizations_get) | **GET** /v1/organizations | Find all organizations
*OrganizationsApi* | [**v1_organizations_id_delete**](docs/OrganizationsApi.md#v1_organizations_id_delete) | **DELETE** /v1/organizations/{id} | Delete an organization
*OrganizationsApi* | [**v1_organizations_id_get**](docs/OrganizationsApi.md#v1_organizations_id_get) | **GET** /v1/organizations/{id} | Find an organization by identifier
*OrganizationsApi* | [**v1_organizations_id_patch**](docs/OrganizationsApi.md#v1_organizations_id_patch) | **PATCH** /v1/organizations/{id} | Update an organization
*OrganizationsApi* | [**v1_organizations_invite_post**](docs/OrganizationsApi.md#v1_organizations_invite_post) | **POST** /v1/organizations/invite | Create an invitation for a user to join an organization
*OrganizationsApi* | [**v1_organizations_join_post**](docs/OrganizationsApi.md#v1_organizations_join_post) | **POST** /v1/organizations/join | Join an organization
*ReactionsApi* | [**v1_reactions_comment_id_post**](docs/ReactionsApi.md#v1_reactions_comment_id_post) | **POST** /v1/reactions/{commentId} | Add a reaction to a comment
*ReactionsApi* | [**v1_reactions_remove_comment_id_reaction_name_delete**](docs/ReactionsApi.md#v1_reactions_remove_comment_id_reaction_name_delete) | **DELETE** /v1/reactions/remove/{commentId}/{reactionName} | Remove a reaction from a comment
*TagsApi* | [**v1_tags_get**](docs/TagsApi.md#v1_tags_get) | **GET** /v1/tags | Get all tags
*TagsApi* | [**v1_tags_post**](docs/TagsApi.md#v1_tags_post) | **POST** /v1/tags | Create a new tag
*TagsApi* | [**v1_tags_tag_id_delete**](docs/TagsApi.md#v1_tags_tag_id_delete) | **DELETE** /v1/tags/{tagId} | Delete a tag
*TagsApi* | [**v1_tags_tag_id_get**](docs/TagsApi.md#v1_tags_tag_id_get) | **GET** /v1/tags/{tagId} | Get a specific tag
*TagsApi* | [**v1_tags_tag_id_patch**](docs/TagsApi.md#v1_tags_tag_id_patch) | **PATCH** /v1/tags/{tagId} | Update a tag
*TagsApi* | [**v1_teams_team_uuid_tags_get**](docs/TagsApi.md#v1_teams_team_uuid_tags_get) | **GET** /v1/teams/{teamUuid}/tags | Get all tags for a particular team
*TagsApi* | [**v1_teams_team_uuid_tags_post**](docs/TagsApi.md#v1_teams_team_uuid_tags_post) | **POST** /v1/teams/{teamUuid}/tags | Create a new tag for a particular team
*TagsApi* | [**v1_teams_team_uuid_tags_tag_uuid_delete**](docs/TagsApi.md#v1_teams_team_uuid_tags_tag_uuid_delete) | **DELETE** /v1/teams/{teamUuid}/tags/{tagUuid} | Remove a tag from a particular team
*TagsApi* | [**v1_teams_team_uuid_tags_tag_uuid_put**](docs/TagsApi.md#v1_teams_team_uuid_tags_tag_uuid_put) | **PUT** /v1/teams/{teamUuid}/tags/{tagUuid} | Update a tag for a particular team
*TeamsApi* | [**v1_teams_get**](docs/TeamsApi.md#v1_teams_get) | **GET** /v1/teams | Get all teams that user is the part of!
*TeamsApi* | [**v1_teams_post**](docs/TeamsApi.md#v1_teams_post) | **POST** /v1/teams | Create a team
*TeamsApi* | [**v1_teams_public_get**](docs/TeamsApi.md#v1_teams_public_get) | **GET** /v1/teams/public | Get all public teams
*TeamsApi* | [**v1_teams_team_id_configurations_get**](docs/TeamsApi.md#v1_teams_team_id_configurations_get) | **GET** /v1/teams/{teamId}/configurations | Get team configurations
*TeamsApi* | [**v1_teams_team_id_configurations_patch**](docs/TeamsApi.md#v1_teams_team_id_configurations_patch) | **PATCH** /v1/teams/{teamId}/configurations | Update team configurations
*TeamsApi* | [**v1_teams_team_id_delete**](docs/TeamsApi.md#v1_teams_team_id_delete) | **DELETE** /v1/teams/{teamId} | Delete a team
*TeamsApi* | [**v1_teams_team_id_get**](docs/TeamsApi.md#v1_teams_team_id_get) | **GET** /v1/teams/{teamId} | Get a team by ID
*TeamsApi* | [**v1_teams_team_id_members_get**](docs/TeamsApi.md#v1_teams_team_id_members_get) | **GET** /v1/teams/{teamId}/members | Get all team members
*TeamsApi* | [**v1_teams_team_id_members_member_id_delete**](docs/TeamsApi.md#v1_teams_team_id_members_member_id_delete) | **DELETE** /v1/teams/{teamId}/members/{memberId} | Remove a team member
*TeamsApi* | [**v1_teams_team_id_members_post**](docs/TeamsApi.md#v1_teams_team_id_members_post) | **POST** /v1/teams/{teamId}/members | Add a team member
*TeamsApi* | [**v1_teams_team_id_patch**](docs/TeamsApi.md#v1_teams_team_id_patch) | **PATCH** /v1/teams/{teamId} | Update a team
*TeamsApi* | [**v1_teams_team_id_routing_get**](docs/TeamsApi.md#v1_teams_team_id_routing_get) | **GET** /v1/teams/{teamId}/routing | Get team routing
*TeamsApi* | [**v1_teams_team_id_routing_post**](docs/TeamsApi.md#v1_teams_team_id_routing_post) | **POST** /v1/teams/{teamId}/routing | Create a team routing rule
*TeamsApi* | [**v1_teams_team_id_routing_rule_id_delete**](docs/TeamsApi.md#v1_teams_team_id_routing_rule_id_delete) | **DELETE** /v1/teams/{teamId}/routing/{ruleId} | Delete a team routing rule
*TeamsApi* | [**v1_teams_team_id_routing_rule_id_patch**](docs/TeamsApi.md#v1_teams_team_id_routing_rule_id_patch) | **PATCH** /v1/teams/{teamId}/routing/{ruleId} | Update team routing
*TeamsApi* | [**v1_teams_team_id_sub_teams_get**](docs/TeamsApi.md#v1_teams_team_id_sub_teams_get) | **GET** /v1/teams/{teamId}/sub-teams | Get sub-teams for a team
*TicketTagsApi* | [**v1_tickets_ticket_id_tags_get**](docs/TicketTagsApi.md#v1_tickets_ticket_id_tags_get) | **GET** /v1/tickets/{ticketId}/tags | Get all tags for a ticket
*TicketTagsApi* | [**v1_tickets_ticket_id_tags_post**](docs/TicketTagsApi.md#v1_tickets_ticket_id_tags_post) | **POST** /v1/tickets/{ticketId}/tags | Tags successfully added to ticket
*TicketTagsApi* | [**v1_tickets_ticket_id_tags_tag_id_delete**](docs/TicketTagsApi.md#v1_tickets_ticket_id_tags_tag_id_delete) | **DELETE** /v1/tickets/{ticketId}/tags/{tagId} | Remove a tag from a ticket
*TicketsApi* | [**create**](docs/TicketsApi.md#create) | **POST** /v1/tickets | Create a ticket
*TicketsApi* | [**tickets_controller_get_attachment**](docs/TicketsApi.md#tickets_controller_get_attachment) | **GET** /v1/tickets/{id}/attachments | 
*TicketsApi* | [**tickets_controller_get_ticket_field_types**](docs/TicketsApi.md#tickets_controller_get_ticket_field_types) | **GET** /v1/tickets/ticket-types | 
*TicketsApi* | [**v1_tickets_bulk_archive_patch**](docs/TicketsApi.md#v1_tickets_bulk_archive_patch) | **PATCH** /v1/tickets/bulk/archive | Archive tickets in bulk
*TicketsApi* | [**v1_tickets_bulk_bulk_delete_post**](docs/TicketsApi.md#v1_tickets_bulk_bulk_delete_post) | **POST** /v1/tickets/bulk/bulk-delete | Delete tickets in bulk
*TicketsApi* | [**v1_tickets_bulk_patch**](docs/TicketsApi.md#v1_tickets_bulk_patch) | **PATCH** /v1/tickets/bulk | Update tickets in bulk
*TicketsApi* | [**v1_tickets_bulk_post**](docs/TicketsApi.md#v1_tickets_bulk_post) | **POST** /v1/tickets/bulk | Create tickets in bulk
*TicketsApi* | [**v1_tickets_get**](docs/TicketsApi.md#v1_tickets_get) | **GET** /v1/tickets | Get all tickets
*TicketsApi* | [**v1_tickets_id_archive_patch**](docs/TicketsApi.md#v1_tickets_id_archive_patch) | **PATCH** /v1/tickets/{id}/archive | Archive a ticket
*TicketsApi* | [**v1_tickets_id_assign_patch**](docs/TicketsApi.md#v1_tickets_id_assign_patch) | **PATCH** /v1/tickets/{id}/assign | Assign a ticket to an agent
*TicketsApi* | [**v1_tickets_id_attachments_post**](docs/TicketsApi.md#v1_tickets_id_attachments_post) | **POST** /v1/tickets/{id}/attachments | Attach a file to a ticket
*TicketsApi* | [**v1_tickets_id_comment_post**](docs/TicketsApi.md#v1_tickets_id_comment_post) | **POST** /v1/tickets/{id}/comment | Comment on a ticket
*TicketsApi* | [**v1_tickets_id_comments_get**](docs/TicketsApi.md#v1_tickets_id_comments_get) | **GET** /v1/tickets/{id}/comments | Get comments for a ticket
*TicketsApi* | [**v1_tickets_id_comments_user_type_get**](docs/TicketsApi.md#v1_tickets_id_comments_user_type_get) | **GET** /v1/tickets/{id}/comments/user-type | Get comments for a ticket by user type
*TicketsApi* | [**v1_tickets_id_delete**](docs/TicketsApi.md#v1_tickets_id_delete) | **DELETE** /v1/tickets/{id} | Delete a ticket
*TicketsApi* | [**v1_tickets_id_escalate_patch**](docs/TicketsApi.md#v1_tickets_id_escalate_patch) | **PATCH** /v1/tickets/{id}/escalate | Escalate a ticket
*TicketsApi* | [**v1_tickets_id_get**](docs/TicketsApi.md#v1_tickets_id_get) | **GET** /v1/tickets/{id} | Get a ticket
*TicketsApi* | [**v1_tickets_id_log_patch**](docs/TicketsApi.md#v1_tickets_id_log_patch) | **PATCH** /v1/tickets/{id}/log | Log time for a ticket
*TicketsApi* | [**v1_tickets_id_patch**](docs/TicketsApi.md#v1_tickets_id_patch) | **PATCH** /v1/tickets/{id} | Update a ticket
*TicketsApi* | [**v1_tickets_id_reassign_team_patch**](docs/TicketsApi.md#v1_tickets_id_reassign_team_patch) | **PATCH** /v1/tickets/{id}/reassign-team | Reassign a ticket to a team
*TicketsApi* | [**v1_tickets_id_related_get**](docs/TicketsApi.md#v1_tickets_id_related_get) | **GET** /v1/tickets/{id}/related | Get ticket related
*TicketsApi* | [**v1_tickets_id_time_logs_get**](docs/TicketsApi.md#v1_tickets_id_time_logs_get) | **GET** /v1/tickets/{id}/time-logs | Get time logs for a ticket
*TicketsApi* | [**v1_tickets_link_patch**](docs/TicketsApi.md#v1_tickets_link_patch) | **PATCH** /v1/tickets/link | Link tickets
*TicketsApi* | [**v1_tickets_mark_duplicate_patch**](docs/TicketsApi.md#v1_tickets_mark_duplicate_patch) | **PATCH** /v1/tickets/mark-duplicate | Mark a ticket as duplicate
*TicketsApi* | [**v1_tickets_priority_get**](docs/TicketsApi.md#v1_tickets_priority_get) | **GET** /v1/tickets/priority | Get all ticket priorities
*TicketsApi* | [**v1_tickets_priority_id_delete**](docs/TicketsApi.md#v1_tickets_priority_id_delete) | **DELETE** /v1/tickets/priority/{id} | Delete a custom ticket priority
*TicketsApi* | [**v1_tickets_priority_id_get**](docs/TicketsApi.md#v1_tickets_priority_id_get) | **GET** /v1/tickets/priority/{id} | Get a ticket priority by ID
*TicketsApi* | [**v1_tickets_priority_id_patch**](docs/TicketsApi.md#v1_tickets_priority_id_patch) | **PATCH** /v1/tickets/priority/{id} | Update a custom ticket priority
*TicketsApi* | [**v1_tickets_priority_post**](docs/TicketsApi.md#v1_tickets_priority_post) | **POST** /v1/tickets/priority | Create a new custom ticket priority
*TicketsApi* | [**v1_tickets_search_tickets_get**](docs/TicketsApi.md#v1_tickets_search_tickets_get) | **GET** /v1/tickets/search-tickets | Search tickets
*TicketsApi* | [**v1_tickets_status_get**](docs/TicketsApi.md#v1_tickets_status_get) | **GET** /v1/tickets/status | Get all ticket statuses
*TicketsApi* | [**v1_tickets_status_id_delete**](docs/TicketsApi.md#v1_tickets_status_id_delete) | **DELETE** /v1/tickets/status/{id} | Delete a custom ticket status
*TicketsApi* | [**v1_tickets_status_id_get**](docs/TicketsApi.md#v1_tickets_status_id_get) | **GET** /v1/tickets/status/{id} | Get a ticket status by its ID
*TicketsApi* | [**v1_tickets_status_id_patch**](docs/TicketsApi.md#v1_tickets_status_id_patch) | **PATCH** /v1/tickets/status/{id} | Update a ticket status
*TicketsApi* | [**v1_tickets_status_post**](docs/TicketsApi.md#v1_tickets_status_post) | **POST** /v1/tickets/status | Create a new ticket status
*TicketsApi* | [**v1_tickets_sub_ticket_patch**](docs/TicketsApi.md#v1_tickets_sub_ticket_patch) | **PATCH** /v1/tickets/sub-ticket | Mark a ticket as sub-ticket
*TicketsApi* | [**v1_tickets_type_get**](docs/TicketsApi.md#v1_tickets_type_get) | **GET** /v1/tickets/type | Get all ticket types
*TicketsApi* | [**v1_tickets_type_id_delete**](docs/TicketsApi.md#v1_tickets_type_id_delete) | **DELETE** /v1/tickets/type/{id} | Delete a custom ticket type
*TicketsApi* | [**v1_tickets_type_id_get**](docs/TicketsApi.md#v1_tickets_type_id_get) | **GET** /v1/tickets/type/{id} | Get a ticket type by ID
*TicketsApi* | [**v1_tickets_type_id_patch**](docs/TicketsApi.md#v1_tickets_type_id_patch) | **PATCH** /v1/tickets/type/{id} | Update a custom ticket type
*TicketsApi* | [**v1_tickets_type_post**](docs/TicketsApi.md#v1_tickets_type_post) | **POST** /v1/tickets/type | Create a new custom ticket type
*UsersApi* | [**v1_users_availability_patch**](docs/UsersApi.md#v1_users_availability_patch) | **PATCH** /v1/users/availability | Update your availability
*UsersApi* | [**v1_users_business_hours_patch**](docs/UsersApi.md#v1_users_business_hours_patch) | **PATCH** /v1/users/business-hours | Update your working hours!
*UsersApi* | [**v1_users_list_get**](docs/UsersApi.md#v1_users_list_get) | **GET** /v1/users/list | Fetch all users
*UsersApi* | [**v1_users_skills_get**](docs/UsersApi.md#v1_users_skills_get) | **GET** /v1/users/skills | Get all skills
*UsersApi* | [**v1_users_skills_skill_id_attach_user_id_patch**](docs/UsersApi.md#v1_users_skills_skill_id_attach_user_id_patch) | **PATCH** /v1/users/skills/{skillId}/attach/{userId} | Attach a skill to a user
*UsersApi* | [**v1_users_skills_skill_id_detach_user_id_patch**](docs/UsersApi.md#v1_users_skills_skill_id_detach_user_id_patch) | **PATCH** /v1/users/skills/{skillId}/detach/{userId} | Detach a skill from a user
*UsersApi* | [**v1_users_skills_user_id_get**](docs/UsersApi.md#v1_users_skills_user_id_get) | **GET** /v1/users/skills/{userId} | Get all skills for a user
*UsersApi* | [**v1_users_time_off_get**](docs/UsersApi.md#v1_users_time_off_get) | **GET** /v1/users/time-off | Get all your time off!
*UsersApi* | [**v1_users_time_off_id_delete**](docs/UsersApi.md#v1_users_time_off_id_delete) | **DELETE** /v1/users/time-off/{id} | Delete your time off!
*UsersApi* | [**v1_users_time_off_id_patch**](docs/UsersApi.md#v1_users_time_off_id_patch) | **PATCH** /v1/users/time-off/{id} | Update your time off!
*UsersApi* | [**v1_users_time_off_post**](docs/UsersApi.md#v1_users_time_off_post) | **POST** /v1/users/time-off | Create your time off!
*ViewsApi* | [**v1_views_get**](docs/ViewsApi.md#v1_views_get) | **GET** /v1/views | Get all views
*ViewsApi* | [**v1_views_id_delete**](docs/ViewsApi.md#v1_views_id_delete) | **DELETE** /v1/views/{id} | Delete a view!
*ViewsApi* | [**v1_views_id_duplicate_post**](docs/ViewsApi.md#v1_views_id_duplicate_post) | **POST** /v1/views/{id}/duplicate | Duplicate a view!
*ViewsApi* | [**v1_views_id_get**](docs/ViewsApi.md#v1_views_id_get) | **GET** /v1/views/{id} | Fetch one view!
*ViewsApi* | [**v1_views_id_patch**](docs/ViewsApi.md#v1_views_id_patch) | **PATCH** /v1/views/{id} | Update a view!
*ViewsApi* | [**v1_views_post**](docs/ViewsApi.md#v1_views_post) | **POST** /v1/views | Create a new view!
*ViewsTypesApi* | [**v1_view_types_get**](docs/ViewsTypesApi.md#v1_view_types_get) | **GET** /v1/view-types | Get all views
*DefaultApi* | [**auth_controller_sign_in**](docs/DefaultApi.md#auth_controller_sign_in) | **POST** /v1/auth/login | 
*DefaultApi* | [**auth_controller_sign_up**](docs/DefaultApi.md#auth_controller_sign_up) | **POST** /v1/auth/signup | 
*DefaultApi* | [**health_controller_health_check**](docs/DefaultApi.md#health_controller_health_check) | **GET** /health | 
*DefaultApi* | [**storage_controller_read_file**](docs/DefaultApi.md#storage_controller_read_file) | **GET** /storage/{type}/read | 
*DefaultApi* | [**storage_type_upload_post**](docs/DefaultApi.md#storage_type_upload_post) | **POST** /storage/{type}/upload | Upload files

## Documentation For Models

 - [AccountActivityResponseDto](docs/AccountActivityResponseDto.md)
 - [AccountAttributeValueResponseDto](docs/AccountAttributeValueResponseDto.md)
 - [AccountNoteResponseDto](docs/AccountNoteResponseDto.md)
 - [AccountRelationshipResponseDto](docs/AccountRelationshipResponseDto.md)
 - [AccountRelationshipTypeResponseDto](docs/AccountRelationshipTypeResponseDto.md)
 - [AccountResponseDto](docs/AccountResponseDto.md)
 - [AccountTaskResponseDto](docs/AccountTaskResponseDto.md)
 - [AddReactionDto](docs/AddReactionDto.md)
 - [AddTagsDto](docs/AddTagsDto.md)
 - [AddTeamMemberDto](docs/AddTeamMemberDto.md)
 - [AllOfAccountRelationshipResponseDtoRelationshipType](docs/AllOfAccountRelationshipResponseDtoRelationshipType.md)
 - [AllOfBusinessDaysFriday](docs/AllOfBusinessDaysFriday.md)
 - [AllOfBusinessDaysMonday](docs/AllOfBusinessDaysMonday.md)
 - [AllOfBusinessDaysSaturday](docs/AllOfBusinessDaysSaturday.md)
 - [AllOfBusinessDaysSunday](docs/AllOfBusinessDaysSunday.md)
 - [AllOfBusinessDaysThursday](docs/AllOfBusinessDaysThursday.md)
 - [AllOfBusinessDaysTuesday](docs/AllOfBusinessDaysTuesday.md)
 - [AllOfBusinessDaysWednesday](docs/AllOfBusinessDaysWednesday.md)
 - [AllOfBusinessHoursConfigDtoFriday](docs/AllOfBusinessHoursConfigDtoFriday.md)
 - [AllOfBusinessHoursConfigDtoMonday](docs/AllOfBusinessHoursConfigDtoMonday.md)
 - [AllOfBusinessHoursConfigDtoSaturday](docs/AllOfBusinessHoursConfigDtoSaturday.md)
 - [AllOfBusinessHoursConfigDtoSunday](docs/AllOfBusinessHoursConfigDtoSunday.md)
 - [AllOfBusinessHoursConfigDtoThursday](docs/AllOfBusinessHoursConfigDtoThursday.md)
 - [AllOfBusinessHoursConfigDtoTuesday](docs/AllOfBusinessHoursConfigDtoTuesday.md)
 - [AllOfBusinessHoursConfigDtoWednesday](docs/AllOfBusinessHoursConfigDtoWednesday.md)
 - [AllOfCommonCommentResponseData](docs/AllOfCommonCommentResponseData.md)
 - [AllOfCommonTagResponseData](docs/AllOfCommonTagResponseData.md)
 - [AllOfCommonTeamConfigurationsResponseData](docs/AllOfCommonTeamConfigurationsResponseData.md)
 - [AllOfCommonTeamResponseData](docs/AllOfCommonTeamResponseData.md)
 - [AllOfCommonTeamRoutingRuleResponseData](docs/AllOfCommonTeamRoutingRuleResponseData.md)
 - [AllOfCommonTicketPriorityResponseData](docs/AllOfCommonTicketPriorityResponseData.md)
 - [AllOfCommonTicketResponseData](docs/AllOfCommonTicketResponseData.md)
 - [AllOfCommonTicketStatusResponseData](docs/AllOfCommonTicketStatusResponseData.md)
 - [AllOfCommonTicketTimeLogResponseData](docs/AllOfCommonTicketTimeLogResponseData.md)
 - [AllOfCommonTicketTypeResponseData](docs/AllOfCommonTicketTypeResponseData.md)
 - [AllOfCommonTimeOffResponseData](docs/AllOfCommonTimeOffResponseData.md)
 - [AllOfCommonUserConfigurationsResponseData](docs/AllOfCommonUserConfigurationsResponseData.md)
 - [AllOfCommonViewResponseData](docs/AllOfCommonViewResponseData.md)
 - [AllOfCreateTagsResponseData](docs/AllOfCreateTagsResponseData.md)
 - [AllOfCreateTicketTagsResponseData](docs/AllOfCreateTicketTagsResponseData.md)
 - [AllOfCreateTicketsBulkDtoOptions](docs/AllOfCreateTicketsBulkDtoOptions.md)
 - [AllOfGetTagsResponseData](docs/AllOfGetTagsResponseData.md)
 - [AllOfGetTicketTagsResponseData](docs/AllOfGetTicketTagsResponseData.md)
 - [AllOfTeamConfigurationsResponseDtoDailyConfig](docs/AllOfTeamConfigurationsResponseDtoDailyConfig.md)
 - [AllOfUpdateFormDtoUpdates](docs/AllOfUpdateFormDtoUpdates.md)
 - [AllOfUpdateTagsResponseData](docs/AllOfUpdateTagsResponseData.md)
 - [AllOfUpdateTicketsBulkResponseData](docs/AllOfUpdateTicketsBulkResponseData.md)
 - [AllOfUpdateTimezoneWorkingHoursDtoDailyConfig](docs/AllOfUpdateTimezoneWorkingHoursDtoDailyConfig.md)
 - [AllOfUpdateUserAvailabilityResponseData](docs/AllOfUpdateUserAvailabilityResponseData.md)
 - [AllOfUserConfigurationsResponseDtoDailyConfig](docs/AllOfUserConfigurationsResponseDtoDailyConfig.md)
 - [ArchiveTicketsBulkDto](docs/ArchiveTicketsBulkDto.md)
 - [AssignTeamToTicketBody](docs/AssignTeamToTicketBody.md)
 - [AssignTicketBody](docs/AssignTicketBody.md)
 - [BatchCustomFieldResponseDto](docs/BatchCustomFieldResponseDto.md)
 - [BulkCreateCustomerContactsDto](docs/BulkCreateCustomerContactsDto.md)
 - [BusinessDayDto](docs/BusinessDayDto.md)
 - [BusinessDays](docs/BusinessDays.md)
 - [BusinessHoursConfigDto](docs/BusinessHoursConfigDto.md)
 - [BusinessSlotDto](docs/BusinessSlotDto.md)
 - [CommentResponseDto](docs/CommentResponseDto.md)
 - [CommonCommentResponse](docs/CommonCommentResponse.md)
 - [CommonReactionResponse](docs/CommonReactionResponse.md)
 - [CommonTagResponse](docs/CommonTagResponse.md)
 - [CommonTeamConfigurationsResponse](docs/CommonTeamConfigurationsResponse.md)
 - [CommonTeamResponse](docs/CommonTeamResponse.md)
 - [CommonTeamRoutingRuleResponse](docs/CommonTeamRoutingRuleResponse.md)
 - [CommonTicketPriorityResponse](docs/CommonTicketPriorityResponse.md)
 - [CommonTicketResponse](docs/CommonTicketResponse.md)
 - [CommonTicketStatusResponse](docs/CommonTicketStatusResponse.md)
 - [CommonTicketTimeLogResponse](docs/CommonTicketTimeLogResponse.md)
 - [CommonTicketTypeResponse](docs/CommonTicketTypeResponse.md)
 - [CommonTimeOffResponse](docs/CommonTimeOffResponse.md)
 - [CommonUserConfigurationsResponse](docs/CommonUserConfigurationsResponse.md)
 - [CommonViewResponse](docs/CommonViewResponse.md)
 - [Condition](docs/Condition.md)
 - [CreateAccountActivityDto](docs/CreateAccountActivityDto.md)
 - [CreateAccountAttributeValueDto](docs/CreateAccountAttributeValueDto.md)
 - [CreateAccountDto](docs/CreateAccountDto.md)
 - [CreateAccountNoteDto](docs/CreateAccountNoteDto.md)
 - [CreateAccountRelationshipDto](docs/CreateAccountRelationshipDto.md)
 - [CreateAccountRelationshipTypeDto](docs/CreateAccountRelationshipTypeDto.md)
 - [CreateAccountTaskDto](docs/CreateAccountTaskDto.md)
 - [CreateBulkTicketsOptions](docs/CreateBulkTicketsOptions.md)
 - [CreateCommentDto](docs/CreateCommentDto.md)
 - [CreateCommentOnAnEntityDto](docs/CreateCommentOnAnEntityDto.md)
 - [CreateCustomFieldDto](docs/CreateCustomFieldDto.md)
 - [CreateCustomerContactDto](docs/CreateCustomerContactDto.md)
 - [CreateDraftTicketDto](docs/CreateDraftTicketDto.md)
 - [CreateFormDto](docs/CreateFormDto.md)
 - [CreateOrganizationDto](docs/CreateOrganizationDto.md)
 - [CreateRoutingRuleGroupDto](docs/CreateRoutingRuleGroupDto.md)
 - [CreateTagDto](docs/CreateTagDto.md)
 - [CreateTagsResponse](docs/CreateTagsResponse.md)
 - [CreateTeamDto](docs/CreateTeamDto.md)
 - [CreateTicketBody](docs/CreateTicketBody.md)
 - [CreateTicketPriorityDto](docs/CreateTicketPriorityDto.md)
 - [CreateTicketStatusDto](docs/CreateTicketStatusDto.md)
 - [CreateTicketTagsResponse](docs/CreateTicketTagsResponse.md)
 - [CreateTicketTypeDto](docs/CreateTicketTypeDto.md)
 - [CreateTicketsBulkDto](docs/CreateTicketsBulkDto.md)
 - [CreateTimeOffDto](docs/CreateTimeOffDto.md)
 - [CreateViewBody](docs/CreateViewBody.md)
 - [CustomFieldData](docs/CustomFieldData.md)
 - [CustomFieldResponseDto](docs/CustomFieldResponseDto.md)
 - [CustomFieldTypesData](docs/CustomFieldTypesData.md)
 - [CustomFieldUpdateData](docs/CustomFieldUpdateData.md)
 - [CustomerContactBulkResponseDto](docs/CustomerContactBulkResponseDto.md)
 - [CustomerContactResponseDto](docs/CustomerContactResponseDto.md)
 - [DeleteCustomFieldDto](docs/DeleteCustomFieldDto.md)
 - [DeleteFieldItemDto](docs/DeleteFieldItemDto.md)
 - [DeleteFormItemDto](docs/DeleteFormItemDto.md)
 - [DeleteFormsDto](docs/DeleteFormsDto.md)
 - [DeleteTagResponse](docs/DeleteTagResponse.md)
 - [DeleteTicketTagResponse](docs/DeleteTicketTagResponse.md)
 - [DeleteTicketsBulkDto](docs/DeleteTicketsBulkDto.md)
 - [DraftTicketResponseDto](docs/DraftTicketResponseDto.md)
 - [EscalateTicketBody](docs/EscalateTicketBody.md)
 - [ExternalCustomFieldValuesDto](docs/ExternalCustomFieldValuesDto.md)
 - [FormData](docs/FormData.md)
 - [FormFieldDto](docs/FormFieldDto.md)
 - [FormResponse](docs/FormResponse.md)
 - [FormResponseDto](docs/FormResponseDto.md)
 - [GetAllCommentsResponse](docs/GetAllCommentsResponse.md)
 - [GetAllCustomFieldTypesResponse](docs/GetAllCustomFieldTypesResponse.md)
 - [GetAllCustomFieldsResponse](docs/GetAllCustomFieldsResponse.md)
 - [GetAllFormsResponse](docs/GetAllFormsResponse.md)
 - [GetAllTagsResponse](docs/GetAllTagsResponse.md)
 - [GetAllTeamMembersResponse](docs/GetAllTeamMembersResponse.md)
 - [GetAllTeamRoutingRulesResponse](docs/GetAllTeamRoutingRulesResponse.md)
 - [GetAllTeamsResponse](docs/GetAllTeamsResponse.md)
 - [GetAllTicketPrioritiesResponse](docs/GetAllTicketPrioritiesResponse.md)
 - [GetAllTicketStatusesResponse](docs/GetAllTicketStatusesResponse.md)
 - [GetAllTicketTimeLogsResponse](docs/GetAllTicketTimeLogsResponse.md)
 - [GetAllTicketTypesResponse](docs/GetAllTicketTypesResponse.md)
 - [GetAllTicketsBulkResponse](docs/GetAllTicketsBulkResponse.md)
 - [GetAllTicketsResponse](docs/GetAllTicketsResponse.md)
 - [GetAllTimeOffsResponse](docs/GetAllTimeOffsResponse.md)
 - [GetAllViewsResponse](docs/GetAllViewsResponse.md)
 - [GetAllViewsTypesResponse](docs/GetAllViewsTypesResponse.md)
 - [GetTagsResponse](docs/GetTagsResponse.md)
 - [GetTicketTagsResponse](docs/GetTicketTagsResponse.md)
 - [IngestCustomerContactDTO](docs/IngestCustomerContactDTO.md)
 - [InviteUserDto](docs/InviteUserDto.md)
 - [JoinOrganizationDto](docs/JoinOrganizationDto.md)
 - [LinkTicketsBody](docs/LinkTicketsBody.md)
 - [MarkDuplicateBody](docs/MarkDuplicateBody.md)
 - [MarkOrCreateSubTicketBody](docs/MarkOrCreateSubTicketBody.md)
 - [OrganizationResponseDto](docs/OrganizationResponseDto.md)
 - [SignInDto](docs/SignInDto.md)
 - [SignUpDto](docs/SignUpDto.md)
 - [SkippedTicketBulkResponseDto](docs/SkippedTicketBulkResponseDto.md)
 - [StorageResponseDto](docs/StorageResponseDto.md)
 - [StorageResponseDtoData](docs/StorageResponseDtoData.md)
 - [Tag](docs/Tag.md)
 - [TagListDto](docs/TagListDto.md)
 - [TagsResponseDto](docs/TagsResponseDto.md)
 - [TargetField](docs/TargetField.md)
 - [TargetFieldOption](docs/TargetFieldOption.md)
 - [TeamConfigurationsResponse](docs/TeamConfigurationsResponse.md)
 - [TeamConfigurationsResponseDto](docs/TeamConfigurationsResponseDto.md)
 - [TeamMemberResponseDto](docs/TeamMemberResponseDto.md)
 - [TeamResponseDto](docs/TeamResponseDto.md)
 - [TeamRoutingRuleResponseDto](docs/TeamRoutingRuleResponseDto.md)
 - [TicketBulkResponseDto](docs/TicketBulkResponseDto.md)
 - [TicketPriorityResponseDto](docs/TicketPriorityResponseDto.md)
 - [TicketResponseDto](docs/TicketResponseDto.md)
 - [TicketSearchResponse](docs/TicketSearchResponse.md)
 - [TicketStatusResponseDto](docs/TicketStatusResponseDto.md)
 - [TicketTimeLogDto](docs/TicketTimeLogDto.md)
 - [TicketTimeLogResponseDto](docs/TicketTimeLogResponseDto.md)
 - [TicketTypeResponseDto](docs/TicketTypeResponseDto.md)
 - [TimeOffResponseDto](docs/TimeOffResponseDto.md)
 - [UpdateAccountActivityDto](docs/UpdateAccountActivityDto.md)
 - [UpdateAccountAttributeValueDto](docs/UpdateAccountAttributeValueDto.md)
 - [UpdateAccountDto](docs/UpdateAccountDto.md)
 - [UpdateAccountNoteDto](docs/UpdateAccountNoteDto.md)
 - [UpdateAccountRelationshipDto](docs/UpdateAccountRelationshipDto.md)
 - [UpdateAccountRelationshipTypeDto](docs/UpdateAccountRelationshipTypeDto.md)
 - [UpdateAccountTaskDto](docs/UpdateAccountTaskDto.md)
 - [UpdateCommentDto](docs/UpdateCommentDto.md)
 - [UpdateCustomFieldDto](docs/UpdateCustomFieldDto.md)
 - [UpdateCustomerContactDto](docs/UpdateCustomerContactDto.md)
 - [UpdateDraftTicketDto](docs/UpdateDraftTicketDto.md)
 - [UpdateFieldsDto](docs/UpdateFieldsDto.md)
 - [UpdateFormDto](docs/UpdateFormDto.md)
 - [UpdateFormItemDto](docs/UpdateFormItemDto.md)
 - [UpdateOrganizationDto](docs/UpdateOrganizationDto.md)
 - [UpdateRoutingRuleGroupDto](docs/UpdateRoutingRuleGroupDto.md)
 - [UpdateTagDto](docs/UpdateTagDto.md)
 - [UpdateTagsResponse](docs/UpdateTagsResponse.md)
 - [UpdateTeamDto](docs/UpdateTeamDto.md)
 - [UpdateTicketBody](docs/UpdateTicketBody.md)
 - [UpdateTicketPriorityDto](docs/UpdateTicketPriorityDto.md)
 - [UpdateTicketStatusDto](docs/UpdateTicketStatusDto.md)
 - [UpdateTicketTypeDto](docs/UpdateTicketTypeDto.md)
 - [UpdateTicketsBulkDto](docs/UpdateTicketsBulkDto.md)
 - [UpdateTicketsBulkResponse](docs/UpdateTicketsBulkResponse.md)
 - [UpdateTicketsBulkResponseDto](docs/UpdateTicketsBulkResponseDto.md)
 - [UpdateTimeOffDto](docs/UpdateTimeOffDto.md)
 - [UpdateTimezoneWorkingHoursDto](docs/UpdateTimezoneWorkingHoursDto.md)
 - [UpdateUserAvailabilityDto](docs/UpdateUserAvailabilityDto.md)
 - [UpdateUserAvailabilityResponse](docs/UpdateUserAvailabilityResponse.md)
 - [UpdateUserAvailabilityResponseDto](docs/UpdateUserAvailabilityResponseDto.md)
 - [UpdateViewBody](docs/UpdateViewBody.md)
 - [UserConfigurationsResponseDto](docs/UserConfigurationsResponseDto.md)
 - [ViewsResponseDto](docs/ViewsResponseDto.md)
 - [ViewsTypesResponseDto](docs/ViewsTypesResponseDto.md)

## Documentation For Authorization


## ApiKey

- **Type**: API key
- **API key parameter name**: ApiKey
- **Location**: HTTP header

## Bearer


## OrgId

- **Type**: API key
- **API key parameter name**: OrgId
- **Location**: HTTP header


## Author


